Item Upload Run in API Explorer
Ask AI
Item Upload (Retail)
To support large product ranges common to the retail sector, Deliverect can receive an Item file for upload.
Purpose
To process a complete update of all item data, a two step process is required to first request a signed URL via Google Cloud Services (GCS) and then to submit a CSV file with all item data via PUT request
Method
1.Request a Signed URL
Sending a request to this endpoint with a callbackUrl will return a signedUrl from GCS (Google Cloud Services) with specific headers.
2.Submit .csv file via PUT Request
Once a signedUrl is retrieved, the Item upload process is as follows;
- Your Item .csv file should be submitted via a PUT request to the
signedUrlwith all the headers provided - Deliverect will then process the CSV asynchronously and callback to the provided
callbackUrlwhen the CSV file has been fully processed.
POST
/catalog/accounts/{accountId}/itemsUploadUrl
curl \
--request POST 'https://api.staging.deliverect.com/catalog/accounts/{accountId}/itemsUploadUrl' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-Deliverect-Version: retail" \
--data '{"callbackUrl":"string"}'
Request examples
# Headers
X-Deliverect-Version: retail
# Payload
{
"callbackUrl": "string"
}
Response examples (200)
{
"fileId": "4e*********************************c1",
"signedUrl": "https://storage.googleapis.com/deliverect-retail-import-dev/66e05ea4ca347e0fef7e43c2/items_66e05ea4ca347e0fef7e43c2_1726066804.csv?X-Goog-Algorithm=GOOG4-RSA-SHA256&X-Goog-Credential=deliverect-retail-import%40deliverect-dev.iam.gserviceaccount.com%2F20240911%2Fauto%2Fstorage%2Fgoog4_request&X-Goog-Date=20240911T150004Z&X-Goog-Expires=3600&X-Goog-SignedHeaders=content-type%3Bhost%3Bx-goog-meta-callback&X-Goog-Signature=6eba9b***5a",
"headers": {
"content-type": "text/csv",
"x-goog-meta-callback": "https://example.com/callback",
"host": "storage.googleapis.com"
}
Response examples (400)
{}